<?php
session_start();
$isLoginError = false;

// Handle login submission
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['login'])) {
    $enteredIdentification = $_POST['identification'];

    // Define valid identification numbers
    $validIdentifications = [
        'Admin@vortex#@768',
        'Client@vortex@#321',
    ];

    // Check if entered identification is valid
    if (in_array($enteredIdentification, $validIdentifications)) {
        // Valid identification, set authentication flag
        

        // Redirect based on the entered identification
        if ($enteredIdentification == 'Admin@vortex#@768') {
            $_SESSION['config_login'] = '1';
            $_SESSION['config_user'] = 'Admin';
            echo '<script>window.location.href = "admin_update_config.php";</script>';
            exit;
        } else {
            $_SESSION['config_login'] = '1';
            $_SESSION['config_user'] = 'Client';
            echo '<script>window.location.href = "client_update_config.php";</script>';
            exit;
        }
    } else {
        // Invalid identification, set error flag
        $isLoginError = true;
    }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Update Configuration</title>
    <!-- Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .btn-color {
            background-color: #040464;
            color: #67cc08;
        }

        .profile-image-pic {
            width: 300px;
            object-fit: cover;
        }

        .btn-color:hover {
            color: #fff;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="card my-5" style="background-color: #eee;">
                    
                    <form method="POST" action="" class="card-body cardbody-color p-lg-5" >

                        <div class="text-center">
                            <img src="img/vortex.png" class="img-fluid profile-image-pic img-thumbnail rounded-circle my-3" width="200px" alt="profile">
                        </div>
                        <h2 class="text-center text-dark mt-3 mb-5"><u>Update Configuration</u> </h2>
                        <?php if ($isLoginError) : ?>
                            <p class="text-danger">Wrong identification. Please try again.</p>
                        <?php endif; ?>
                        <div class="mb-3">
                            <label for="Identification">Identification:</label>
                            <input type="text" name="identification" class="form-control" id="identification" placeholder="Identification">
                        </div>
                        <div class="text-center"><button type="submit" class="btn btn-lg btn-color mb-3 mt-5" name="login">LOGIN</button></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</body>

</html>